{% load static %}

<html>
    <head>
        <title>App Enquetes</title>
        <link rel="stylesheet" type="text/css"
              href="{% static 'enquetes/css/style.css' %}"/>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    </head>
    <body>
        {% block titulo_principal %}
        <h1>Aplicação Enquetes - DSWeb 2021.2</h1>
        {% endblock %}

        {% block titulo %}{% endblock %}

        {% block mensagem_de_erro %}
        {% if messages %}
            {% for msg in messages %}
                <div class="alert alert-{% if msg.level_tag == 'error' %}danger{% else %}{{ msg.level_tag }}{% endif %}" role="alert">
                    {{ msg.message }}
                </div>
            {% endfor %}
        {% endif %}
        {% endblock %}

        {% block conteudo %}
        {% endblock %}

        {% block menu %}
        <hr/>
        <a href="{% url 'enquetes:index' %}">Principal</a> |
        <a href="{% url 'enquetes:encerradas' %}">Resultados</a> |
        <a href="{% url 'enquetes:nova_enquete' %}">(+) Nova enquete</a> |
        <a href="{% url 'admin:index' %}">Administração</a>
        {% if user.is_authenticated %}
            | Usuário: <a href="{% url 'enquetes:autor' user.autor.id %}">
            {{ user.username }}</a>
            | <a href="{% url 'logout' %}?next={% url 'enquetes:index' %}">Logout</a>
        {% else %}
            | <a href="{% url 'login' %}?next={% url 'enquetes:index' %}">Login</a>
        {% endif %}
        {% block itens_de_menu %}{% endblock %}
        {% endblock %}
        <br />&copy; Copyrigth DSWeb 2021.2.
    </body>
</html>